LibreOffice: XPrimitive3D Interface Reference

LibreOffice LibreOffice 25.2 SDK API Reference

Loading...
Searching...
No Matches
XPrimitive3D Interface Reference

XPrimitive3D interface. More...

`import "XPrimitive3D.idl";`

Inheritance diagram for XPrimitive3D:

## Public Member Functions
sequence< XPrimitive3D > | getDecomposition ([in] sequence< ::com::sun::star::beans::PropertyValue > aViewParameters)
| Retrieve decomposed list of simpler primitives.
::com::sun::star::geometry::RealRectangle3D | getRange ([in] sequence< ::com::sun::star::beans::PropertyValue > aViewParameters)
| Retrieve bound rect of primitive.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

XPrimitive3D interface.

This is the basic interface for graphic 3D primitives. They need to be able

- to provide a decomposition consisting of simpler graphic primitives
- to provide a 3D bound rectangle as a 3D range

## Member Function Documentation

## ◆ getDecomposition()

sequence< XPrimitive3D > getDecomposition | ( | [in] sequence< ::com::sun::star::beans::PropertyValue > | aViewParameters | ) |

Retrieve decomposed list of simpler primitives.

Parameters

  aViewParameters | 3D View-specific parameter set. The defined but not mandatory parameters include:

double Time

Defines the point in time for which the geometry is defined. This may lead to varied results for animated objects. This value is defined in the range [0.0 .. n[, negative values are not allowed. If not given, a value of 0.0 is implied.

## ◆ getRange()

::com::sun::star::geometry::RealRectangle3D getRange | ( | [in] sequence< ::com::sun::star::beans::PropertyValue > | aViewParameters | ) |

Retrieve bound rect of primitive.

This method calculates the actual bound rect of the area in world coordinates. Note that for view-dependent primitives, the necessary pixel adjustments are taken into account. For that reason the ViewParameters need to be given.

Parameters

  aViewParameters | 3D View-specific parameter set, same as in getDecomposition.

The documentation for this interface was generated from the following file:

- com/sun/star/graphic/XPrimitive3D.idl